use arti_client::{TorClient, TorClientConfig};
use eyre::Result;

mod http_lib;
use http_lib::*;

#[tokio::main]
async fn main() -> Result<()> {
    let config = TorClientConfig::default();
    let tor_client = TorClient::create_bootstrapped(config).await?;
    println!("Tor Client Created!");
    let test_request = HTTPRequest {
        method: HTTPMethod::Get,
        location: "/".to_string(),
        version: "HTTP/1.1".to_string(),
        headers: vec![HTTPHeader {
            key: "Host".to_string(),
            value: "vanten-s.com".to_string(),
        }],
        body: None,
    };

    dbg!(get_website("94.255.138.67", 80, test_request, tor_client).await?);

    Ok(())
}
